import { ScheduleListSortKey, SortOrder } from '@zeniai/client-epic-state';
import { SortDirection, SortState } from '../../../dataListTable/types';
export declare function sortOrderToDataListDirection(sortOrder: SortOrder): SortDirection;
export declare function sortDirectionToSortOrder(direction: SortDirection): SortOrder;
export declare function jeScheduleSortToSortState(sortKey: ScheduleListSortKey, sortOrder: SortOrder): SortState;
export declare function sortStateToJeScheduleSort(next: SortState | null): {
    sortKey: ScheduleListSortKey;
    sortOrder: SortOrder;
} | undefined;
